org.apache.lucene.queryParser.standard.config

## Interface RangeCollatorAttribute

- All Superinterfaces:
    Attribute
  All Known Implementing Classes:
    RangeCollatorAttributeImpl

      public interface RangeCollatorAttribute
      extends Attribute

  This attribute is used by `ParametricRangeQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. This attribute tells the processor which `Collator` should be used for a `TermRangeQuery`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.text.Collator` | `getRangeCollator()`
    `void` | `setDateResolution(java.text.Collator rangeCollator)`

- - ### Method Detail

    - #### setDateResolution

          void setDateResolution(java.text.Collator rangeCollator)

    - #### getRangeCollator

          java.text.Collator getRangeCollator()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.